import type {
  IProfileOverviewPresenter,
  ProfileOverviewViewModel,
} from '@core/racing/application/presenters/IProfileOverviewPresenter';

export class ProfileOverviewPresenter implements IProfileOverviewPresenter {
  private viewModel: ProfileOverviewViewModel | null = null;

  present(viewModel: ProfileOverviewViewModel): void {
    this.viewModel = viewModel;
  }

  getViewModel(): ProfileOverviewViewModel | null {
    return this.viewModel;
  }
}